$(document).ready(function(){
    updateLiquids()

});

function updateLiquids() {
    $(".liquid").on("change", function(evt){
        var percentage = parseFloat($(this).text());
        if (percentage < 5) {
            percentage = "50"
            $(this).addClass("empty-vessel")
        } else {
            $(this).removeClass("empty-vessel").addClass("liquid")
        }
        $(this).height(percentage + "%");

    });

    $(".vessel-status").on("change", function (evt) {
        var liquid = $(this).siblings(".liquid");
        var status = $(this).text();
        
        switch (status){
        case "High Warning":
        case "Low Warning":
            $(liquid).removeClass("status-shutdown")
                .addClass("status-warning");
            break;
        case "High Shutdown":
        case "Low Shutdown":
            $(liquid).removeClass("status-warning")
                .addClass("status-shutdown");
            break;
        default:
            $(liquid).removeClass("status-shutdown status-warning")
        }
        

    });

}
