/*global $ document getIP sendRequest displayStatusModal successMessage defaultSendRequestError*/
$(document).ready(function(){
    $("#submit-product").click(function() {
        addExternal(getExternalIP(), getIP());
    });
});

function getExternalIP() {
    return $("#original-ip").val();
}

function addExternal(external, internal) {
    var data = {
        "external": external,
        "internal": internal
    };
    
    sendRequest(data, {
        url: "/config/equipment/add/external",
        success: function() {
            displayStatusModal({
                title: successMessage,
                onClose: function() {
                    window.location = "/config/equipment";
                }
            });
        },
        error: function(jqXHR, textStatus, errorThrown) {
            defaultSendRequestError(jqXHR, textStatus, errorThrown);
        }
    });   
}
